IDS 7.31 and OnBar and ADSM on AIX 
Author Message
 IDS 7.31 and OnBar and ADSM on AIX

Hi,

Does any one use the following configuration and made it work ?
AIX 4.2.1 or AIX 4.3
Informix DS 7.31UC3
ADSM version 3.1.3

I am trying to upgrade from Informix DS 7.30 to 7.31. The upgrade goes ok,
but during the conversion/upgrade the sysutils database is rebuild which
means that I loose my storage manager information(bar_version) and the
information about all the previous backup's.

When I upgraded from Informix DS 7.2x to Informix 7.30 I had to make this
work around to make it work, but the work around don't work after the
upgrade.
1. cd to your API installation directory
   /usr/lpp/adsm/api/bin
2. extract the shared object file
   'ar -x libXApi.a'
   customer will see the file bsashr10.o
3. BAR_BSALIB_PATH=/usr/lpp/adsm/api/bin/bsashr10.o
     i informix onconfig-filen (Done by the DBA's)

The error I get is as follows:
with BAR_BSALIB_PATH = /usr/lpp/adsm/api/bin/bsashr10.o
 1999-09-20 15:19:11 56190  49020 /software/informix/7.31.ds/bin/onbar_d -l

 1999-09-20 15:19:12 56190  49020 Begin backup logical log 241.

 1999-09-20 15:19:12 56190  49020 XBSA Error (BSAInit): An unspecified XBSA
 error has occurred: 96

with BAR_BSALIB_PATH = /usr/lpp/adsm/api/bin/libXApi.a
 1999-09-21 10:15:05 55694  51852 /software/informix/7.31.ds/bin/onbar_d -b
 -w -L 0

 1999-09-21 10:15:12 55694  51852 ERROR: An unexpected error occurred:
exec():
0509-036 Cannot load program  because of the following errors:

        0509-025 The /usr/lpp/adsm/api/bin/libXApi.a file is not executable
 or not in correct XCOFF format. .

Cannot run a file that does not have a valid format.

 1999-09-21 10:15:12 55694  51852 WARNING: Could not open XBSA library
/usr/lpp/adsm/api/bin/libXApi.a, so trying default path.

 1999-09-21 10:15:13 55694  51852 ERROR: Version 0.0.0 of the XBSA shared
library is not compatible with version 1 of ON-Bar.

Bjarne Wilken Jensen
Alm. Brand
Denmark



Wed, 18 Jun 1902 08:00:00 GMT
 IDS 7.31 and OnBar and ADSM on AIX

When I get this error I usually look at the activity log within ADSM or look
at the dsierror.log on the client box(your informix server)

HTH

Quote:
> -----Original Message-----


> Sent:      Tuesday, September 21, 1999 7:12 AM

> Subject:   IDS 7.31 and OnBar and ADSM on AIX

> Hi,

> Does any one use the following configuration and made it work ?
> AIX 4.2.1 or AIX 4.3
> Informix DS 7.31UC3
> ADSM version 3.1.3

> I am trying to upgrade from Informix DS 7.30 to 7.31. The upgrade goes ok,
> but during the conversion/upgrade the sysutils database is rebuild which
> means that I loose my storage manager information(bar_version) and the
> information about all the previous backup's.

> When I upgraded from Informix DS 7.2x to Informix 7.30 I had to make this
> work around to make it work, but the work around don't work after the
> upgrade.
> 1. cd to your API installation directory
>    /usr/lpp/adsm/api/bin
> 2. extract the shared object file
>    'ar -x libXApi.a'
>    customer will see the file bsashr10.o
> 3. BAR_BSALIB_PATH=/usr/lpp/adsm/api/bin/bsashr10.o
>      i informix onconfig-filen (Done by the DBA's)

> The error I get is as follows:
> with BAR_BSALIB_PATH = /usr/lpp/adsm/api/bin/bsashr10.o
>  1999-09-20 15:19:11 56190  49020 /software/informix/7.31.ds/bin/onbar_d
> -l

>  1999-09-20 15:19:12 56190  49020 Begin backup logical log 241.

>  1999-09-20 15:19:12 56190  49020 XBSA Error (BSAInit): An unspecified
> XBSA
>  error has occurred: 96

> with BAR_BSALIB_PATH = /usr/lpp/adsm/api/bin/libXApi.a
>  1999-09-21 10:15:05 55694  51852 /software/informix/7.31.ds/bin/onbar_d
> -b
>  -w -L 0

>  1999-09-21 10:15:12 55694  51852 ERROR: An unexpected error occurred:
> exec():
> 0509-036 Cannot load program  because of the following errors:

>         0509-025 The /usr/lpp/adsm/api/bin/libXApi.a file is not
> executable
>  or not in correct XCOFF format. .

> Cannot run a file that does not have a valid format.

>  1999-09-21 10:15:12 55694  51852 WARNING: Could not open XBSA library
> /usr/lpp/adsm/api/bin/libXApi.a, so trying default path.

>  1999-09-21 10:15:13 55694  51852 ERROR: Version 0.0.0 of the XBSA shared
> library is not compatible with version 1 of ON-Bar.

> Bjarne Wilken Jensen
> Alm. Brand
> Denmark



Wed, 18 Jun 1902 08:00:00 GMT
 IDS 7.31 and OnBar and ADSM on AIX

Hi Ivans

I have just tried onbar/adsm on AIX 4.3.2. It works ok after I had inserted
bsa_version='3.1.6' instead of bsa_version='3.1.3' so my problem is
Informix DS 7.31 and AIX 4.2.1.

Thanks for your help.

Bjarne
Alm. Brand



Wed, 18 Jun 1902 08:00:00 GMT
 
 [ 3 post ] 

 Relevant Pages 

1. IDS 7.31 for WINT40 onbar backup continous logicl logs don't work

2. IDS 7.31 on AIX 5.1

3. IDS 7.31 on AIX 5.1

4. IDS 7.31 on AIX 4.3.3

5. IDS 7.31 on AIX 5.1?

6. repair an Index on a big table (IDS 7.31 on AIX 4.2.1)

7. ISM_Startup errors IDS 7.31 on AIX

8. ISM_Startup errors IDS 7.31 on AIX - SOLUTION

9. IDS 7.31 using e-mail on AIX

10. OnBar/ADSM/IDS 7.3

11. Restoring IDS 7.31 on IDS 2000

12. IDS 7.31 -> IDS.2000 9.21 upgrade


 
Powered by phpBB® Forum Software